## org.apache.myfaces.util
Class SelectItemsIterator

    java.lang.Object
      org.apache.myfaces.util.SelectItemsIterator

All Implemented Interfaces:
  java.util.Iterator

public class SelectItemsIterator
extends java.lang.Object
implements java.util.Iterator

Version:
  $Revision$ $Date$
Author:
  Mathias Broekelmann (latest modification by $Author$)

Constructor Summary
`SelectItemsIterator(javax.faces.component.UIComponent selectItemsParent)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectItemsIterator

    public SelectItemsIterator(javax.faces.component.UIComponent selectItemsParent)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`